// Copyright (C) 2024 Robert J.A. Wagner; Am Kiefernwald 49b; D-64297 Darmstadt - All Rights Reserved 
import { supply_DefaultContact, hoNotUSER, hoNotCLERK } from "./lib/contact.mjs";


export default class toApp {
    formMyFormDemo() {
        let formMyFormDemo = XRW.mkForm({ FID: 'formMyFormDemo', ynCreateFolder: 'N', folder: this.folder, ynCreateRender: 'Y', renderType: 'Form', pageX: 25, minPixelPerPoint: 20, anchor: 'grForm' });
        formMyFormDemo.setFEG('MyFormDemo',
            { FE_Prefix: 'HTML', FE_Title: '__Key_HTML_0', FGM_Format: 'dX1,W23,Vitem,N', html: '<h2>Your Form here!</h2>', ynSkipSave: 'Y', ynfOptional: 'Y' },
            { FE_Prefix: 'GenericCheck', FGM_Key: 'ynIMakeItSo', FGM_Format: 'dX1,f20,W10,Vitem,N', FE_Title: 'Challenge accepted', ynfOptional: 'Y' },
        );
        formMyFormDemo.setSection("S1", { FEG_Prefix: "MyFormDemo", FEG_Title: "Demo", ynVolatile: 'Y' });
        return formMyFormDemo;
    }

    async Start() {
        this.folder = XRW.mkFolder();
        // this.formContact();
        this.formMyFormDemo();
        await XRW.windowResizeCallBack();
    }
}
globalThis.oApp = new toApp();
